package com.fp.builder;

import com.fp.common.exception.APPException;

public class BuilderException extends APPException {

    public BuilderException(String pCode, String pMessage, Exception pCause, Object... pParameters) {
        super(pCode, pMessage, pCause, pParameters);
    }

    public BuilderException(String pCode, String pMessage) {
        super(pCode, pMessage);
    }

    public BuilderException(String pCode, String pMessage, Object... pParameters) {
        super(pCode, pMessage, pParameters);
    }
    public BuilderException(String pCode, String pMessage, Exception pCause) {
        super(pCode, pMessage, pCause);
    }

    /**
     * serialVersionUID
     */
    private static final long serialVersionUID = 1L;

}
